import request from '@/utils/request'

// 查询盆地信息列表
export function listJtdzPd(query) {
  return request({
    url: '/jtdz/jtdzPd/list',
    method: 'get',
    params: query
  })
}

// 查询盆地信息详细
export function getJtdzPd(id) {
  return request({
    url: '/jtdz/jtdzPd/' + id,
    method: 'get'
  })
}

// 新增盆地信息
export function addJtdzPd(data) {
  return request({
    url: '/jtdz/jtdzPd',
    method: 'post',
    data: data
  })
}

// 修改盆地信息
export function updateJtdzPd(data) {
  return request({
    url: '/jtdz/jtdzPd',
    method: 'put',
    data: data
  })
}

// 删除盆地信息
export function delJtdzPd(id) {
  return request({
    url: '/jtdz/jtdzPd/' + id,
    method: 'delete'
  })
}
